--- /dev/null
+#!/bin/sh
+
+# This is the script that runs inside Jenkins.
+# http://jenkins.ceph.com/job/ceph-deploy/
+
+#export GNUPGHOME=/home/jenkins-build/build/gnupg.autobuild/
+export GNUPGHOME=/home/jenkins-build/build/gnupg.ceph-release/
+export KEYID=17ED316D
+HOST=$(hostname --short)
+echo "Building on ${HOST}"
+echo " DIST=${DIST}"
+echo " BPTAG=${BPTAG}"
+echo " KEYID=${KEYID}"
+echo " WS=$WORKSPACE"
+echo " PWD=$(pwd)"
+echo " BRANCH=$BRANCH"
+
+case $HOST in
+gitbuilder-cdep-rpm*)
+ rm -rf rpm-repo dist/* build/rpmbuild
+ cd build
+ ./scripts/build-rpm.sh --release
+ if [ $? -eq 0 ] ; then
+ mv rpm-repo $WORKSPACE/.
+ cd $WORKSPACE
+ mkdir -p dist
+ fi
+ ;;
+gitbuilder-cdep-deb* | tala* | mira*)
+ rm -rf debian-repo
+ rm -rf dist
+ rm -f *.changes *.dsc *.gz *.diff
+ cd build
+ ./scripts/build-debian.sh --release
+ if [ $? -eq 0 ] ; then
+ mv debian-repo $WORKSPACE/.
+ cd $WORKSPACE
+ mkdir -p dist
+ mv *.changes *.dsc *.deb *.tar.gz dist/.
+ fi
+ ;;
+*)
+ echo "Can't determine build host type"
+ exit 4
+ ;;
+esac